# Class CIM_DeviceConnection
extends CIM_Dependency

The DeviceConnection relationship indicates that two or more Devices are connected together.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceConnection

## Direct Known Subclasses

CIM_ControlledBy
CIM_USBConnection

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The DeviceConnection relationship indicates that two or more Devices are connected together.
UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NegotiatedDataWidth | uint32 |
Description | string | When several bus and connection data widths are possible, the NegotiatedDataWidth property defines the one that is in use between the Devices. Data width is specified in bits. If data width is not negotiated, or if this information is not available or not important to Device management, the property should be set to 0.
MappingStrings | string | MIF.DMTF|Bus Port Association|001.3
PUnit | string | bit
Units | string | Bits
NegotiatedSpeed | uint64 |
Description | string | When several bus and connection speeds are possible, the NegotiatedSpeed property defines the one that is in use between the Devices. Speed is specified in bits per second. If connection or bus speeds are not negotiated, or if this information is not available or not important to Device management, the property should be set to 0.
MappingStrings | string | MIF.DMTF|Bus Port Association|001.2
PUnit | string | bit / second
Units | string | Bits per Second

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DeviceConnection | CIM_LogicalDevice
Dependent | CIM_DeviceConnection | CIM_LogicalDevice

## Class Methods